Bug 1298370 - Example ansible file for AEP installation uses the internal repo url with no reference to external repo
Example ansible file for AEP installation uses the internal repo url with no ...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Zac Dover
Josep 'Pep' Turro Mauri
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-13 17:43 EST by Eric Jones
Modified: 2016-02-05 08:51 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-05 08:51:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Jones 2016-01-13 17:43:46 EST
Document URL: 
https://access.redhat.com/documentation/en/red-hat-atomic-enterprise-platform/version-3.1/getting-started-guide/#aep_getting_started_procedure

Section Number and Name: 
2. AEP Getting Started Procedure
    Step 8. Set up Ansible and verify that it works

Describe the issue: 
The documentation says that the ansible hosts file should look something like: 
[OSEv3:children]
masters
nodes
etcd
lb

[OSEv3:vars]
ansible_ssh_user=root
deployment_type=atomic-enterprise
osm_use_cockpit=true
openshift_additional_repos=[{'id': 'ose-3.1', 'name': 'ose-3.1', 'baseurl': 'http://buildvm-devops.usersys.redhat.com/puddle/build/OpenShiftEnterpriseErrata/3.1/latest/RH7-RHAOS-3.1/x86_64/os/', 'enabled': 1, 'gpgcheck': 0}]

[masters]
ose3-master.example.com

[nodes]
ose3-master.example.com openshift_scheduleable=True

[etcd]

[lb]

Including the internal baseurl

Suggestions for improvement: 
Change the url to the appropriate repo (which should be one of the following):
https://cdn.redhat.com/content/beta/rhel/server/7/$basearch/aep/os
https://cdn.redhat.com/content/beta/rhel/server/7/$basearch/aos/os
Comment 1 Josep 'Pep' Turro Mauri 2016-01-14 05:53:40 EST
Actually, repository setup is covered earlier in the document:

Step 3. Set up repositories

    # subscription-manager repos  \
    --enable="rhel-7-server-rpms" \
    --enable="rhel-7-server-extras-rpms" \
    --enable="rhel-7-server-ose-3.1-rpms" \
    --enable="rhel-7-server-aep-beta-rpms"

I believe this is also slightly wrong: the ose-3.1 should not be there, so this should read:

    # subscription-manager repos  \
    --enable="rhel-7-server-rpms" \
    --enable="rhel-7-server-extras-rpms" \
    --enable="rhel-7-server-aep-beta-rpms"

Then, back to the content of Step 8 mentioned in comment #0: just remove openshift_additional_repos from there, it's not needed and causes problems.

There's another minor mismatch in that step 8: it references ~/openshift-ansible/inventory/byo/hosts.example; in the current openshift-ansible this file does not exist. There are 2 example files for AEP in inventory/byo: hosts.aep.example and hosts.aep_quickstart. The latter is simpler and mostly matches the example provided in the doc itself, while hosts.aep.example is more comprehensive and provides additional comments.

In summary, I believe that the fix here is to remove the "openshift_additional_repos" line from the example in the docs, and also remove "rhel-7-server-ose-3.1-rpms" from the repo setup instructions.
Comment 6 Vikram Goyal 2016-02-05 08:51:21 EST
The fixes from this issue are now live:

https://access.redhat.com/documentation/en/red-hat-atomic-enterprise-platform/version-3.1/getting-started-guide/#aep_getting_started_procedure

Moving this bug to CLOSED->CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.